### Constructor

# Gtk Video new_for_file

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_file (
      GFile* file
    )

#### Description [src]

Creates a `GtkVideo` to play back the given `file`.

#### Parameters

`file` | `GFile*`
| A `GFile`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkVideo`.
| The data is owned by the called function.